Bug 1490029 - [abrt] parole: gtk_icon_theme_get_icon_sizes(): parole killed by SIGSEGV
Summary: [abrt] parole: gtk_icon_theme_get_icon_sizes(): parole killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: parole
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9465e2d8890c79cb1b8d178292d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-09 12:01 UTC by Pavel Alexeev
Modified: 2018-05-29 11:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:38:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (52.61 KB, text/plain)
2017-09-09 12:01 UTC, Pavel Alexeev
no flags Details
File: cgroup (319 bytes, text/plain)
2017-09-09 12:01 UTC, Pavel Alexeev
no flags Details
File: core_backtrace (34.66 KB, text/plain)
2017-09-09 12:01 UTC, Pavel Alexeev
no flags Details
File: cpuinfo (1.32 KB, text/plain)
2017-09-09 12:01 UTC, Pavel Alexeev
no flags Details
File: dso_list (16.95 KB, text/plain)
2017-09-09 12:01 UTC, Pavel Alexeev
no flags Details
File: environ (10.12 KB, text/plain)
2017-09-09 12:02 UTC, Pavel Alexeev
no flags Details
File: limits (1.29 KB, text/plain)
2017-09-09 12:02 UTC, Pavel Alexeev
no flags Details
File: maps (72.03 KB, text/plain)
2017-09-09 12:02 UTC, Pavel Alexeev
no flags Details
File: open_fds (1.69 KB, text/plain)
2017-09-09 12:02 UTC, Pavel Alexeev
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-09-09 12:02 UTC, Pavel Alexeev
no flags Details
File: var_log_messages (252 bytes, text/plain)
2017-09-09 12:02 UTC, Pavel Alexeev
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-09-09 12:02 UTC, Pavel Alexeev
no flags Details

Description Pavel Alexeev 2017-09-09 12:01:43 UTC
Description of problem:
Click button to add songs into playlist

Version-Release number of selected component:
parole-0.8.1-3.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        parole /mnt/remote/backup@store.hubbitus.info/home/backup/SHARED.pasha.data/Music/01-Bojestvennaya subbota.mp3
crash_function: gtk_icon_theme_get_icon_sizes
executable:     /usr/bin/parole
journald_cursor: s=08767fa7ffcf452e9c8ed1bfc735358d;i=7e74;b=554f8516b6a54574bf44e87e7c7b31ef;m=375bb0d75;t=558c0485767c1;x=be82d8121237bad3
kernel:         4.12.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_icon_theme_get_icon_sizes at gtkicontheme.c:2517
 #1 icon_list_from_theme at gtkwindow.c:4450
 #2 gtk_window_realize_icon at gtkwindow.c:4509
 #3 gtk_window_realize at gtkwindow.c:7418
 #8 gtk_widget_realize at gtkwidget.c:5461
 #9 gtk_window_show at gtkwindow.c:6153
 #14 gtk_widget_show at gtkwidget.c:4794
 #15 parole_media_chooser_open_local at parole-mediachooser.c:342
 #16 parole_media_list_open_internal at parole-medialist.c:471
 #20 g_signal_emit_by_name at gsignal.c:3487

Comment 1 Pavel Alexeev 2017-09-09 12:01:50 UTC
Created attachment 1324064 [details]
File: backtrace

Comment 2 Pavel Alexeev 2017-09-09 12:01:52 UTC
Created attachment 1324065 [details]
File: cgroup

Comment 3 Pavel Alexeev 2017-09-09 12:01:54 UTC
Created attachment 1324066 [details]
File: core_backtrace

Comment 4 Pavel Alexeev 2017-09-09 12:01:56 UTC
Created attachment 1324067 [details]
File: cpuinfo

Comment 5 Pavel Alexeev 2017-09-09 12:01:58 UTC
Created attachment 1324068 [details]
File: dso_list

Comment 6 Pavel Alexeev 2017-09-09 12:02:00 UTC
Created attachment 1324069 [details]
File: environ

Comment 7 Pavel Alexeev 2017-09-09 12:02:02 UTC
Created attachment 1324070 [details]
File: limits

Comment 8 Pavel Alexeev 2017-09-09 12:02:04 UTC
Created attachment 1324071 [details]
File: maps

Comment 9 Pavel Alexeev 2017-09-09 12:02:06 UTC
Created attachment 1324072 [details]
File: open_fds

Comment 10 Pavel Alexeev 2017-09-09 12:02:07 UTC
Created attachment 1324073 [details]
File: proc_pid_status

Comment 11 Pavel Alexeev 2017-09-09 12:02:09 UTC
Created attachment 1324074 [details]
File: var_log_messages

Comment 12 Pavel Alexeev 2017-09-09 12:02:11 UTC
Created attachment 1324075 [details]
File: exploitable

Comment 13 Mukundan Ragavan 2017-09-10 15:24:36 UTC
Is this a one-off crash? Were you able to add songs at all?

Comment 14 Fedora End Of Life 2018-05-03 07:52:37 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 11:38:37 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.